
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef SCOUT_SCAN_H
#define SCOUT_SCAN_H


/* Structures definies par d'autres modules */


/* Structures du module */
#include "server/scoutPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_SCOUT_STATE_POSTER_STR (char** buf, struct SCOUT_STATE_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_REFERENCES_POSTER_STR (char** buf, struct SCOUT_REFERENCES_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_SENSORSCONFIG_POSTER_STR (char** buf, struct SCOUT_SENSORSCONFIG_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_SONARS_POSTER_STR (char** buf, struct SCOUT_SONARS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_BUMPER_POSTER_STR (char** buf, struct SCOUT_BUMPER_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_ROBOT_POSTER_STR (char** buf, struct SCOUT_ROBOT_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_STR (char** buf, struct SCOUT_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_BATTERIES_STR (char** buf, struct SCOUT_BATTERIES_STR *x, int nDim, int *dims );
int scan_buf_enum_SCOUT_BATTERY_STATE (char** buf, enum SCOUT_BATTERY_STATE *x, int nDim, int *dims );
int scan_buf_enum_SCOUT_ALARMS_TYPE (char** buf, enum SCOUT_ALARMS_TYPE *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_ALARMS (char** buf, struct SCOUT_ALARMS *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_SONARS_FIRING_ORDER (char** buf, struct SCOUT_SONARS_FIRING_ORDER *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_SONARS_ECHO_XY (char** buf, struct SCOUT_SONARS_ECHO_XY *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_SONARS_ECHO_RHO (char** buf, struct SCOUT_SONARS_ECHO_RHO *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_SONARS_CONFIG (char** buf, struct SCOUT_SONARS_CONFIG *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_BUMPERS_POS (char** buf, struct SCOUT_BUMPERS_POS *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_BUMBERS_STATE (char** buf, struct SCOUT_BUMBERS_STATE *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_TRACK_STR (char** buf, struct SCOUT_TRACK_STR *x, int nDim, int *dims );
int scan_buf_enum_SCOUT_TRACK_MODE (char** buf, enum SCOUT_TRACK_MODE *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_SPEED_REF_STR (char** buf, struct SCOUT_SPEED_REF_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_CMD_PARAM_STR (char** buf, struct SCOUT_CMD_PARAM_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_REF_STR (char** buf, struct SCOUT_REF_STR *x, int nDim, int *dims );
int scan_buf_enum_SCOUT_MOTION_DIRECTION (char** buf, enum SCOUT_MOTION_DIRECTION *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_POSTER_NAME (char** buf, struct SCOUT_POSTER_NAME *x, int nDim, int *dims );
int scan_buf_enum_SCOUT_MOTION_TYPE (char** buf, enum SCOUT_MOTION_TYPE *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_TURN (char** buf, struct SCOUT_TURN *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_CONNECT_PARAM (char** buf, struct SCOUT_CONNECT_PARAM *x, int nDim, int *dims );
int scan_buf_enum_SCOUT_CONNECT_MODE (char** buf, enum SCOUT_CONNECT_MODE *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_SET_POS_STR (char** buf, struct SCOUT_SET_POS_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_ODO_STR (char** buf, struct SCOUT_ODO_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_ODO_VAR_STR (char** buf, struct SCOUT_ODO_VAR_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_POS_STR (char** buf, struct SCOUT_POS_STR *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_SPEEDS (char** buf, struct SCOUT_SPEEDS *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_WHEELS_SPEED (char** buf, struct SCOUT_WHEELS_SPEED *x, int nDim, int *dims );
int scan_buf_enum_SCOUT_BOOL (char** buf, enum SCOUT_BOOL *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_POS (char** buf, struct SCOUT_POS *x, int nDim, int *dims );
int scan_buf_struct_SCOUT_CONFIG (char** buf, struct SCOUT_CONFIG *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_SCOUT_CONFIG (char** buf, SCOUT_CONFIG *x, int nDim, int *dims );
int scan_buf_SCOUT_POS (char** buf, SCOUT_POS *x, int nDim, int *dims );
int scan_buf_SCOUT_BOOL (char** buf, SCOUT_BOOL *x, int nDim, int *dims );
int scan_buf_SCOUT_WHEELS_SPEED (char** buf, SCOUT_WHEELS_SPEED *x, int nDim, int *dims );
int scan_buf_SCOUT_SPEEDS (char** buf, SCOUT_SPEEDS *x, int nDim, int *dims );
int scan_buf_SCOUT_POS_STR (char** buf, SCOUT_POS_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_ODO_VAR_STR (char** buf, SCOUT_ODO_VAR_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_ODO_STR (char** buf, SCOUT_ODO_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_SET_POS_STR (char** buf, SCOUT_SET_POS_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_CONNECT_MODE (char** buf, SCOUT_CONNECT_MODE *x, int nDim, int *dims );
int scan_buf_SCOUT_CONNECT_PARAM (char** buf, SCOUT_CONNECT_PARAM *x, int nDim, int *dims );
int scan_buf_SCOUT_TURN (char** buf, SCOUT_TURN *x, int nDim, int *dims );
int scan_buf_SCOUT_MOTION_TYPE (char** buf, SCOUT_MOTION_TYPE *x, int nDim, int *dims );
int scan_buf_SCOUT_POSTER_NAME (char** buf, SCOUT_POSTER_NAME *x, int nDim, int *dims );
int scan_buf_SCOUT_MOTION_DIRECTION (char** buf, SCOUT_MOTION_DIRECTION *x, int nDim, int *dims );
int scan_buf_SCOUT_REF_STR (char** buf, SCOUT_REF_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_CMD_PARAM_STR (char** buf, SCOUT_CMD_PARAM_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_SPEED_REF_STR (char** buf, SCOUT_SPEED_REF_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_TRACK_MODE (char** buf, SCOUT_TRACK_MODE *x, int nDim, int *dims );
int scan_buf_SCOUT_TRACK_STR (char** buf, SCOUT_TRACK_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_BUMBERS_STATE (char** buf, SCOUT_BUMBERS_STATE *x, int nDim, int *dims );
int scan_buf_SCOUT_BUMPERS_POS (char** buf, SCOUT_BUMPERS_POS *x, int nDim, int *dims );
int scan_buf_SCOUT_SONARS_CONFIG (char** buf, SCOUT_SONARS_CONFIG *x, int nDim, int *dims );
int scan_buf_SCOUT_SONARS_ECHO_RHO (char** buf, SCOUT_SONARS_ECHO_RHO *x, int nDim, int *dims );
int scan_buf_SCOUT_SONARS_ECHO_XY (char** buf, SCOUT_SONARS_ECHO_XY *x, int nDim, int *dims );
int scan_buf_SCOUT_SONARS_FIRING_ORDER (char** buf, SCOUT_SONARS_FIRING_ORDER *x, int nDim, int *dims );
int scan_buf_SCOUT_ALARMS (char** buf, SCOUT_ALARMS *x, int nDim, int *dims );
int scan_buf_SCOUT_ALARMS_TYPE (char** buf, SCOUT_ALARMS_TYPE *x, int nDim, int *dims );
int scan_buf_SCOUT_BATTERY_STATE (char** buf, SCOUT_BATTERY_STATE *x, int nDim, int *dims );
int scan_buf_SCOUT_BATTERIES_STR (char** buf, SCOUT_BATTERIES_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_STR (char** buf, SCOUT_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_ROBOT_POSTER_STR (char** buf, SCOUT_ROBOT_POSTER_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_BUMPER_POSTER_STR (char** buf, SCOUT_BUMPER_POSTER_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_SONARS_POSTER_STR (char** buf, SCOUT_SONARS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_SENSORSCONFIG_POSTER_STR (char** buf, SCOUT_SENSORSCONFIG_POSTER_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_REFERENCES_POSTER_STR (char** buf, SCOUT_REFERENCES_POSTER_STR *x, int nDim, int *dims );
int scan_buf_SCOUT_STATE_POSTER_STR (char** buf, SCOUT_STATE_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* SCOUT_SCAN_H */

